#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	FlashPIX OpenSource Toolkit
Summary(pl.UTF-8):	Biblioteka do obróbki obrazków FlashPIX
Name:		libfpx
Version:	1.3.1.10
Release:	1
License:	distributable (see COPYING)
Group:		Libraries
Source0:	http://www.imagemagick.org/download/delegates/%{name}-1.3.1-10.tar.xz
# Source0-md5:	6855850cde24262e3d7fd7b8514d0b1d
Patch0:		%{name}-link.patch
URL:		http://www.imagemagick.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libstdc++-devel >= 3.2.2
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Provides:	fpx
Obsoletes:	fpx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FlashPIX OpenSource Toolkit is based on source obtained from the
Digital Imaging Group Inc. and includes a sample FlashPIX library
implementation contributed by Eastman Kodak Company.

%description -l pl.UTF-8
FlashPIX OpenSource Toolkit jest bazowany na źródłach uzyskanych od
Digital Imaging Group i zawiera przykładową implementację biblioteki
FlashPIX, do której przyczynił się Eastman Kodak Company.

%package devel
Summary:	FlashPIX header file and documentation
Summary(pl.UTF-8):	Plik nagłówkowy i dokumentacja do FlashPIX
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	fpx-devel

%description devel
FlashPIX header files and programmer's documentation.

%description devel -l pl.UTF-8
Plik nagłówkowy potrzebny do kompilowania programów korzystających z
biblioteki FlashPIX oraz dokumentacja do tej biblioteki.

%package static
Summary:	FlashPIX static library
Summary(pl.UTF-8):	Statyczna biblioteka FlashPIX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	fpx-static

%description static
Static version of FlashPIX library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki FlashPIX.

%prep
%setup -q -n %{name}-1.3.1-10
%patch0 -p1

ln -f flashpix.h COPYING

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-fast-install \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libfpx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfpx.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/*.pdf doc/readme.txt
%attr(755,root,root) %{_libdir}/libfpx.so
%{_libdir}/libfpx.la
%{_includedir}/fpxlib.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfpx.a
%endif
%changelog
* Fri Dec 21 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfpx.git;a=log;h=master

* Fri Dec 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 7180b38
- updated to 1.3.1-10 (fixes CVE-2017-12921 CVE-2017-12925 and possibly CVE-2017-12920)

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 316ec4e
- updated to 1.3.1-8 (gcc 6 fix)

* Sat Sep 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 2d7ecbb
- updated to 1.3.1-7, now maintained by ImageMagick Studio

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 75545b9
- updated to 1.3.1-6 (as 1.3.1.6)

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> a331afe
- release 2 (by relup.sh)

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 9422a86
- updated URL

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 44a2769
- updated to 1.3.1
- added link patch (libfpx needs -lm)

* Wed Oct 13 2010 Jakub Bogusz <qboosh@pld-linux.org> b274fc6
- updated to 1.3.0-1 (as release 2)
- updated URLs

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> a2fc4e2
- updated to 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 68e7c76
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8aee36e
- converted to UTF-8

* Sun Dec 31 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 450b75f
- rel 2

* Sun Aug 28 2005 Jakub Bogusz <qboosh@pld-linux.org> b372f7b
- updated to 1.2.0.13, removed obsolete fix patch

* Sun Aug 28 2005 Jakub Bogusz <qboosh@pld-linux.org> d72733d
- obsolete

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 3747df4
- added bcond_without static_libs

* Sun Feb 27 2005 Jakub Bogusz <qboosh@pld-linux.org> f25ce4f
- updated to 1.2.0.12

* Sat Feb 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 270d7ee
- updated to 1.2.0.11, added fix patch

* Sat Feb 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 9ce89b5
- kill dup

* Fri Jul 18 2003 Jakub Bogusz <qboosh@pld-linux.org> f3fe73a
- up to 1.2.0.9

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 44c9730
- massive attack: source-md5

